# H245_RequestChannelCloseAck Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RequestChannelCloseAck:

List of all members.

## Public Member Functions

| H245_RequestChannelCloseAck (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_LogicalChannelNumber | m_forwardLogicalChannelNumber

## Constructor & Destructor Documentation

H245_RequestChannelCloseAck::H245_RequestChannelCloseAck | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RequestChannelCloseAck::GetDataLength | ( |  | ) | const

PBoolean H245_RequestChannelCloseAck::Decode | ( | PASN_Stream & | strm | ) |

void H245_RequestChannelCloseAck::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RequestChannelCloseAck::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RequestChannelCloseAck::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RequestChannelCloseAck::Clone | ( |  | ) | const

## Member Data Documentation

H245_LogicalChannelNumber H245_RequestChannelCloseAck::m_forwardLogicalChannelNumber

The documentation for this class was generated from the following file:

- h245.h